clc
clear
%L-delta H-estrela
vl=13.8; %kV
vh=230; %kV
xre=25;
Ste=300; %MVA
xt=.12; %pu
rat=10; %Ohm
disp('Trafo elevador')
disp('ATP')
zt=xt/xre+xt*1j;
zl=zt/2*vl^2/Ste*3 %delta
vlr=vl
zh=zt/2*vh^2/Ste %estrela
vhr=vh/sqrt(3)
disp('Anarede')
xt1=xt*100/Ste*100
disp('Anafas')
zt1=(1/xre+1j)*xt*100/Ste*100
zt0=(1/xre+1j)*xt*100/Ste*100
ratpc=rat/(vh^2/100)*100

disp('LT230.LIS')
r0=4.64167E-01; %Ohm/km
x0=1.50065E+00; %Ohm/km
y0=2.80486E-06; %uS/km
r1=7.37086E-02; %Ohm/km
x1=3.79873E-01; %Ohm/km
y1=4.33217E-06; %uS/km
compr=100; %km
Imax=0.66; %kA Hen com sol com vento
disp('Dados para Anarede e Anafas: modelo pi nominal')
Vb=230; %kV
Sb=100; %MVA
Zb=Vb^2/Sb %Ohm
z0=(r0+1j*x0)*compr/Zb*100 %porcento
MVAr0=y0*compr*Vb^2 %MVAr
z1=(r1+1j*x1)*compr/Zb*100 %porcento
MVAr1=y1*compr*Vb^2 %MVAr
Smax=2*sqrt(3)*Vb*Imax %MVA (2 cabos)

disp('Gerador')
Sg=250; %MVA
fp=0.8;
x2ld=25; %porcento
x0=8; %porcento
disp('ATP')
Vg=1.0*vl*sqrt(2)/sqrt(3)
Zb=vl^2/Sg;
x2ld_ohm=x2ld/100*Zb
x0_ohm=x0/100*Zb
disp('Anarede')
Pger=Sg*fp
Qmin=-Sg*sin(acos(fp))
Qmax=Sg*sin(acos(fp))
disp('Anafas')
x1_pc=x2ld*100/Sg
x0_pc=x0*100/Sg

disp('Equivalente fim da linha')
Vb=230;
z1=1+15j; %Ohm
z0=1+25j; %Ohm
disp('ATP')
Ve=1.0*Vb*sqrt(2)/sqrt(3)

disp('Anarede: barra de carga')
disp(' ')
disp('Anafas')
Zb=Vb^2/100;
ze1=z1/Zb*100
ze0=z0/Zb*100

disp('Fluxo ATP equivalente curto_lt230')
SL=[7.12349740E+07   -3.98140370E+06]*3e-6
SH=[7.09847330E+07   -1.02330339E+07]*3e-6
SF=[6.88439840E+07   -1.37621210E+07]*3e-6
VLm=11137.674863249/sqrt(2/3)/13800 %pu
VLf=17.5145183 %graus
VHm=186596.46163545/sqrt(2/3)/230000 %pu
VHf=-17.4896140
VFm=185972.85379531/sqrt(2/3)/230000 %pu
VFf=-26.5644387

disp('Curto')
Vth=VFm
Iccabc=1.39696793E+04/sqrt(2)/1e3/Vth %kA
Iccat=1.14035085E+04/sqrt(2)/1e3/Vth %kA
